"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.FormikSelect = FormikSelect;
exports.FormikSelectField = void 0;

var _react = _interopRequireWildcard(require("react"));

var _formik = require("formik");

var _practicalReactComponentsCore = require("practical-react-components-core");

var _excluded = ["name", "validate"];

function _getRequireWildcardCache(nodeInterop) { if (typeof WeakMap !== "function") return null; var cacheBabelInterop = new WeakMap(); var cacheNodeInterop = new WeakMap(); return (_getRequireWildcardCache = function _getRequireWildcardCache(nodeInterop) { return nodeInterop ? cacheNodeInterop : cacheBabelInterop; })(nodeInterop); }

function _interopRequireWildcard(obj, nodeInterop) { if (!nodeInterop && obj && obj.__esModule) { return obj; } if (obj === null || typeof obj !== "object" && typeof obj !== "function") { return { default: obj }; } var cache = _getRequireWildcardCache(nodeInterop); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (key !== "default" && Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj.default = obj; if (cache) { cache.set(obj, newObj); } return newObj; }

function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }

function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }

function FormikSelect(_ref) {
  var {
    name,
    validate
  } = _ref,
      props = _objectWithoutProperties(_ref, _excluded);

  var [field, meta, {
    setValue,
    setTouched
  }] = (0, _formik.useField)({
    name,
    validate
  });
  var onBlur = (0, _react.useCallback)(() => setTouched(true), [setTouched]);
  return /*#__PURE__*/_react.default.createElement(_practicalReactComponentsCore.Select, _extends({}, field, {
    onChange: setValue,
    onBlur: onBlur,
    error: meta.touched ? meta.error : undefined
  }, props));
}

var FormikSelectField = props => (0, _practicalReactComponentsCore.withField)(FormikSelect)(props);

exports.FormikSelectField = FormikSelectField;