"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.FormikSwitchField = exports.FormikSwitch = void 0;

var _react = _interopRequireDefault(require("react"));

var _formik = require("formik");

var _practicalReactComponentsCore = require("practical-react-components-core");

var _excluded = ["name", "value"],
    _excluded2 = ["checked"];

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }

function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }

var FormikSwitch = _ref => {
  var {
    name,
    value
  } = _ref,
      props = _objectWithoutProperties(_ref, _excluded);

  var [field] = (0, _formik.useField)({
    name,
    value,
    type: 'checkbox'
  });

  var {
    checked
  } = field,
      rest = _objectWithoutProperties(field, _excluded2);

  return /*#__PURE__*/_react.default.createElement(_practicalReactComponentsCore.Switch, _extends({}, rest, {
    checked: checked !== null && checked !== void 0 ? checked : false
  }, props));
};

exports.FormikSwitch = FormikSwitch;
var FormikSwitchField = (0, _practicalReactComponentsCore.withField)(FormikSwitch);
exports.FormikSwitchField = FormikSwitchField;